[package]
name = "void-sentinel"
description = "A discord bot written in Rust"
version = "0.1.0-alpha"
authors = ["Kishor Ramanan <hello@kishorramanan.com>"]
edition = "2024"

publish = false

[dependencies]
ab_glyph = "0.2.32"
actix-web = "4.9"
anyhow = "1.0.100"
base64 = "0.22.1"
chrono = "0.4.42"
dotenvy = "0.15.7"
futures = "0.3"
image = { version = "0.25.9", features = ["webp", "jpeg"] }
imageproc = "0.25.0"
poise = "0.6.1"
rand = "0.9.2"
regex = "1.12.2"
reqwest = { version = "0.12.26", features = ["json"] }
serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.145"
serenity = "0.12.4"
surrealdb = "2.4.0"
tokio = { version = "1.48.0", features = ["full"] }
tracing = "0.1.43"
tracing-subscriber = { version = "0.3.22", features = ["env-filter", "fmt"] }
